unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PSPCrc32, StdCtrls, ComCtrls, ExtCtrls;

type
  Tfrm_main = class(TForm)
    Button1: TButton;
    OpenDialog: TOpenDialog;
    PSPCrc32: TPSPCrc32;
    Button2: TButton;
    ProgressBar: TProgressBar;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure PSPCrc32Progress(Sender: TObject; Position: Integer);
    procedure PSPCrc32Done(Sender: TObject);
    procedure PSPCrc32Error(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frm_main: Tfrm_main;

implementation

{$R *.DFM}

procedure Tfrm_main.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure Tfrm_main.Button2Click(Sender: TObject);
begin
  if opendialog.Execute then
     begin
       progressbar.Position:=0;
       label3.Caption:='Calculating...';

       pspcrc32.Filename:=opendialog.FileName;
       pspcrc32.CalculateCRC;
     end;
end;

procedure Tfrm_main.PSPCrc32Progress(Sender: TObject; Position: Integer);
begin
  progressbar.Position:=position;
end;

procedure Tfrm_main.PSPCrc32Done(Sender: TObject);
begin
  progressbar.Position:=0;
  label3.Caption:='File CRC32 is '+inttohex(pspcrc32.CRC, 8);
end;

procedure Tfrm_main.PSPCrc32Error(Sender: TObject);
begin
  showmessage('Error while calculating CRC32!');
end;

end.
